PLplot: tclMatrix.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
tclMatrix.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "pldll.h"`
`#include "tclMatrix.h"`

Go to the source code of this file.

## Macros
#define | MAX(a, b) ( ( ( a ) > ( b ) ) ? ( a ) : ( b ) )
#define | MIN(a, b) ( ( ( a ) < ( b ) ) ? ( a ) : ( b ) )
#define | dbug_enter(a)

## Functions
static int | MatrixAssign (Tcl_Interp *interp, tclMatrix *m, int level, int *offset, int nargs, const char **args)
static int | MatrixCmd (ClientData clientData, Tcl_Interp *interp, int argc, const char **argv)
static char * | DeleteMatrixVar (ClientData clientData, Tcl_Interp *interp, char *name1, char *name2, int flags)
static void | DeleteMatrixCmd (ClientData clientData)
static void | MatrixPut_f (ClientData clientData, Tcl_Interp *interp, int index, const char *string)
static void | MatrixGet_f (ClientData clientData, Tcl_Interp *interp, int index, char *string)
static void | MatrixPut_i (ClientData clientData, Tcl_Interp *interp, int index, const char *string)
static void | MatrixGet_i (ClientData clientData, Tcl_Interp *interp, int index, char *string)
int | Tcl_MatrixCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
tclMatrix * | Tcl_GetMatrixPtr (Tcl_Interp *interp, const char *matName)
int | Tcl_MatrixInstallXtnsn (const char *cmd, tclMatrixXtnsnProc proc)
static void | MatrixPut_f (ClientData clientData, Tcl_Interp *PL_UNUSED(interp), int index, const char *string)
static void | MatrixPut_i (ClientData clientData, Tcl_Interp *PL_UNUSED(interp), int index, const char *string)
static void | MatrixGet_i (ClientData clientData, Tcl_Interp *PL_UNUSED(interp), int index, char *string)
static char * | DeleteMatrixVar (ClientData clientData, Tcl_Interp *PL_UNUSED(interp), char *PL_UNUSED(name1), char *PL_UNUSED(name2), int PL_UNUSED(flags))

## Variables
static int | matTable_initted = 0
static Tcl_HashTable | matTable
static tclMatrixXtnsnDescr * | head = (tclMatrixXtnsnDescr *) NULL
static tclMatrixXtnsnDescr * | tail = (tclMatrixXtnsnDescr *) NULL

## Macro Definition Documentation

## ◆ dbug_enter

#define dbug_enter | ( |  | a | ) |

Definition at line 59 of file tclMatrix.c.

## ◆ MAX

#define MAX | ( |  | a,
|  |  | b
| ) |  | ( ( ( a ) > ( b ) ) ? ( a ) : ( b ) )

Definition at line 46 of file tclMatrix.c.

## ◆ MIN

#define MIN | ( |  | a,
|  |  | b
| ) |  | ( ( ( a ) < ( b ) ) ? ( a ) : ( b ) )

Definition at line 49 of file tclMatrix.c.

## Function Documentation

## ◆ DeleteMatrixCmd()

static void DeleteMatrixCmd | ( | ClientData | clientData | ) |
| static

Definition at line 1429 of file tclMatrix.c.

## ◆ DeleteMatrixVar() [1/2]

static char* DeleteMatrixVar | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | char * | name1,
|  | char * | name2,
|  | int | flags
| ) |  |
| static

## ◆ DeleteMatrixVar() [2/2]

static char* DeleteMatrixVar | ( | ClientData | clientData,
|  | Tcl_Interp * | PL_UNUSEDinterp,
|  | char * | PL_UNUSEDname1,
|  | char * | PL_UNUSEDname2,
|  | int | PL_UNUSEDflags
| ) |  |
| static

Definition at line 1374 of file tclMatrix.c.

## ◆ MatrixAssign()

static int MatrixAssign | ( | Tcl_Interp * | interp,
|  | tclMatrix * | m,
|  | int | level,
|  | int * | offset,
|  | int | nargs,
|  | const char ** | args
| ) |  |
| static

Definition at line 510 of file tclMatrix.c.

## ◆ MatrixCmd()

static int MatrixCmd | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 591 of file tclMatrix.c.

## ◆ MatrixGet_f()

static void MatrixGet_f | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | index,
|  | char * | string
| ) |  |
| static

Definition at line 1328 of file tclMatrix.c.

## ◆ MatrixGet_i() [1/2]

static void MatrixGet_i | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | index,
|  | char * | string
| ) |  |
| static

## ◆ MatrixGet_i() [2/2]

static void MatrixGet_i | ( | ClientData | clientData,
|  | Tcl_Interp * | PL_UNUSEDinterp,
|  | int | index,
|  | char * | string
| ) |  |
| static

Definition at line 1351 of file tclMatrix.c.

## ◆ MatrixPut_f() [1/2]

static void MatrixPut_f | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | index,
|  | const char * | string
| ) |  |
| static

## ◆ MatrixPut_f() [2/2]

static void MatrixPut_f | ( | ClientData | clientData,
|  | Tcl_Interp * | PL_UNUSEDinterp,
|  | int | index,
|  | const char * | string
| ) |  |
| static

Definition at line 1320 of file tclMatrix.c.

## ◆ MatrixPut_i() [1/2]

static void MatrixPut_i | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | index,
|  | const char * | string
| ) |  |
| static

## ◆ MatrixPut_i() [2/2]

static void MatrixPut_i | ( | ClientData | clientData,
|  | Tcl_Interp * | PL_UNUSEDinterp,
|  | int | index,
|  | const char * | string
| ) |  |
| static

Definition at line 1338 of file tclMatrix.c.

## ◆ Tcl_GetMatrixPtr()

tclMatrix* Tcl_GetMatrixPtr | ( | Tcl_Interp * | interp,
|  | const char * | matName
| ) |  |

Definition at line 424 of file tclMatrix.c.

## ◆ Tcl_MatrixCmd()

int Tcl_MatrixCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 122 of file tclMatrix.c.

## ◆ Tcl_MatrixInstallXtnsn()

int Tcl_MatrixInstallXtnsn | ( | const char * | cmd,
|  | tclMatrixXtnsnProc | proc
| ) |  |

Definition at line 464 of file tclMatrix.c.

## Variable Documentation

## ◆ head

tclMatrixXtnsnDescr* head = (tclMatrixXtnsnDescr *) NULL
| static

Definition at line 460 of file tclMatrix.c.

## ◆ matTable

Tcl_HashTable matTable
| static

Definition at line 65 of file tclMatrix.c.

## ◆ matTable_initted

int matTable_initted = 0
| static

Definition at line 64 of file tclMatrix.c.

## ◆ tail

tclMatrixXtnsnDescr* tail = (tclMatrixXtnsnDescr *) NULL
| static

Definition at line 461 of file tclMatrix.c.